MailRecipientHelper.MonitorUser (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.mail

## Class MailRecipientHelper.MonitorUser

- java.lang.Object
- - org.gcube.messaging.common.consumer.mail.MailRecipientHelper.MonitorUser

- Enclosing class:
    MailRecipientHelper

      public class MailRecipientHelper.MonitorUser
      extends Object

  Monitor Users
  Author:
    Andrea Manzi(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailRecipientHelper.MonitorUser(String name, String mail, String scope, boolean notify, boolean receiveSummary, boolean admin)` Monitor user

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMail()` get the mail
    `String` | `getName()` get the name
    `String` | `getScope()`
    `boolean` | `isAdmin()`
    `boolean` | `isNotify()` isNotify
    `boolean` | `isReceiveSummary()` isReceiveSummary
    `void` | `setAdmin(boolean admin)` setAdmin
    `void` | `setMail(String mail)` set the mail
    `void` | `setName(String name)` set the name
    `void` | `setNotify(boolean notify)` isNotify
    `void` | `setReceiveSummary(boolean receiveSummary)` isReceiveSummary
    `void` | `setScope(String scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailRecipientHelper.MonitorUser

          public MailRecipientHelper.MonitorUser(String name,
                                         String mail,
                                         String scope,
                                         boolean notify,
                                         boolean receiveSummary,
                                         boolean admin)

      Monitor user
      Parameters:
        `name` - the name
        `mail` - the mail
        `notify` - notify?
        `receiveSummary` - receiveSummary?

  - ### Method Detail

    - #### getMail

          public String getMail()

      get the mail
      Returns:
        the mail

    - #### setMail

          public void setMail(String mail)

      set the mail
      Parameters:
        `mail` - the mail

    - #### getName

          public String getName()

      get the name
      Returns:
        the name

    - #### setName

          public void setName(String name)

      set the name
      Parameters:
        `name` - teh name

    - #### isReceiveSummary

          public boolean isReceiveSummary()

      isReceiveSummary
      Returns:
        isReceiveSummary

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### setReceiveSummary

          public void setReceiveSummary(boolean receiveSummary)

      isReceiveSummary
      Parameters:
        `receiveSummary` - isReceiveSummary

    - #### isNotify

          public boolean isNotify()

      isNotify
      Returns:
        isNotify

    - #### setNotify

          public void setNotify(boolean notify)

      isNotify
      Parameters:
        `notify` - isNotify

    - #### isAdmin

          public boolean isAdmin()

      Returns:
        isAdmin

    - #### setAdmin

          public void setAdmin(boolean admin)

      setAdmin
      Parameters:
        `admin` - setAdmin

Copyright © 2014. All Rights Reserved.